Bug 1497061 - [RFE][XS-2] Tagging cloud network, subnets, flavors, availability_zones, routers and security_group using ReST APIs
Summary: [RFE][XS-2] Tagging cloud network, subnets, flavors, availability_zones, rout...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: MVP
: 5.10.0
Assignee: abellott
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 1555371 1597413
TreeView+ depends on / blocked
 
Reported: 2017-09-29 06:53 UTC by Sachin
Modified: 2019-02-07 23:03 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:54 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:07 UTC

Description Sachin 2017-09-29 06:53:11 UTC
Description of problem:

We still can't tag below resource using ReST APIs

- Cloud networks[2]
- Cloud Subnets[3]
- Flavors[4]
- Availability zones[5]
- Network routers[6]
- Security Groups[7]

Version-Release number of selected component (if applicable):
5.8

How reproducible:


Steps to Reproduce:
NA. This is RFE

Actual results:


Expected results:


Additional info:

ManageIQ bug[1]

[1] https://github.com/ManageIQ/manageiq-api/issues/77

[2] https://github.com/ManageIQ/manageiq-api/blob/master/app/controllers/api/cloud_networks_controller.rb
[3] https://github.com/ManageIQ/manageiq-api/blob/master/app/controllers/api/cloud_subnets_controller.rb
[4] https://github.com/ManageIQ/manageiq-api/blob/master/app/controllers/api/flavors_controller.rb
[5] https://github.com/ManageIQ/manageiq-api/blob/master/app/controllers/api/availability_zones_controller.rb
[6] https://github.com/ManageIQ/manageiq-api/blob/master/app/controllers/api/network_routers_controller.rb
[7] https://github.com/ManageIQ/manageiq-api/blob/master/app/controllers/api/security_groups_controller.rb

Comment 2 Dave Johnson 2017-09-29 07:04:07 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.

Comment 4 CFME Bot 2018-04-23 22:14:59 UTC
New commit detected on ManageIQ/manageiq-api/master:

https://github.com/ManageIQ/manageiq-api/commit/b52e74e56c846f91fa4dc373d70c3658a6ec9a30
commit b52e74e56c846f91fa4dc373d70c3658a6ec9a30
Author:     Alberto Bellotti <abellott@redhat.com>
AuthorDate: Thu Apr 19 14:22:58 2018 -0400
Commit:     Alberto Bellotti <abellott@redhat.com>
CommitDate: Thu Apr 19 14:22:58 2018 -0400

    Adding tagging support for resources of the following collections:

      /api/availability_zones
      /api/cloud_networks
      /api/cloud_subnets
      /api/flavors
      /api/network_routers
      /api/security_groups

    Standard tagging subcollection signature as follows:

      /api/availability_zones/:id/tags
      /api/cloud_networks/:id/tags
      /api/cloud_subnets/:id/tags
      /api/flavors/:id/tags
      /api/network_routers/:id/tags
      /api/security_groups/:id/tags

    supporting regular queries as well as the assign and unassign actions.

    https://bugzilla.redhat.com/show_bug.cgi?id=1497061

 app/controllers/api/availability_zones_controller.rb | 1 +
 app/controllers/api/cloud_networks_controller.rb | 1 +
 app/controllers/api/cloud_subnets_controller.rb | 1 +
 app/controllers/api/flavors_controller.rb | 1 +
 app/controllers/api/network_routers_controller.rb | 2 +
 app/controllers/api/security_groups_controller.rb | 1 +
 config/api.yml | 48 +
 spec/requests/tag_collections_spec.rb | 288 +
 8 files changed, 343 insertions(+)

Comment 6 errata-xmlrpc 2019-02-07 23:02:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.